/*
 * Common utilities for filesystem users.
 *
 * Copyright (C) 2019, 2022 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#ifndef __UTILS_H__
#define __UTILS_H__

#include <ext2fs/ext2fs.h>

#ifdef __cplusplus
extern "C" {
#endif

struct utils_list_dir_data
{
    ext2_filsys fs;         /* filesystem */
    const char *filename;   /* single filename to show */
    int link_count;         /* flag to show link counts */
};

errcode_t utils_list_dir(ext2_filsys fs, const char *path);

int utils_list_dir_proc(struct ext2_dir_entry *dirent, int offset,
                        int blocksize, char *buf, void *priv_data);

#ifdef __cplusplus
}
#endif

#endif /* __UTILS_H__ */

/* vim: tabstop=4 expandtab shiftwidth=4
*/
